<?php

namespace endpoints\orders;

use traits\economic_endpoint_t;

class economic_orders_drafts_endpoint
{
    use economic_endpoint_t;

    /**
     * List all draft orders
     * @return object {collection: [order], pagination: {maxPageSize: number, skipPages: number, results: number}}
     */
    public function get(): object
    {
        $response = $this->send_request('/orders/drafts', 'GET');
        // Return the response as an object
        return json_decode($response);
    }

}